package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * 客户端网络适配器
 *
 * @author sxp
 * @since Jun 27, 2018
 */
public class ClientNetworkAdapter {
    private Metadata metadata;
    private String dynamicReconfigurationConnectorName;
    private String locationCode;
    private String requiredAdapter;
    private String variedOn;
    private String virtualSlotNumber;
    private String macAddress;
    /**
     * 端口虚拟以太网（VLAN 标识）
     */
    private String portVlanId;
    private String qualityOfServicePriorityEnabled;
    private String taggedVlanSupported;
    private AssociatedVirtualSwitch associatedVirtualSwitch;
    private String virtualSwitchID;
    private VirtualNetworks virtualNetworks;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getDynamicReconfigurationConnectorName() {
        return dynamicReconfigurationConnectorName;
    }

    public void setDynamicReconfigurationConnectorName(String dynamicReconfigurationConnectorName) {
        this.dynamicReconfigurationConnectorName = dynamicReconfigurationConnectorName;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getRequiredAdapter() {
        return requiredAdapter;
    }

    public void setRequiredAdapter(String requiredAdapter) {
        this.requiredAdapter = requiredAdapter;
    }

    public String getVariedOn() {
        return variedOn;
    }

    public void setVariedOn(String variedOn) {
        this.variedOn = variedOn;
    }

    public String getVirtualSlotNumber() {
        return virtualSlotNumber;
    }

    public void setVirtualSlotNumber(String virtualSlotNumber) {
        this.virtualSlotNumber = virtualSlotNumber;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public String getPortVlanId() {
        return portVlanId;
    }

    public void setPortVlanId(String portVlanId) {
        this.portVlanId = portVlanId;
    }

    public String getQualityOfServicePriorityEnabled() {
        return qualityOfServicePriorityEnabled;
    }

    public void setQualityOfServicePriorityEnabled(String qualityOfServicePriorityEnabled) {
        this.qualityOfServicePriorityEnabled = qualityOfServicePriorityEnabled;
    }

    public String getTaggedVlanSupported() {
        return taggedVlanSupported;
    }

    public void setTaggedVlanSupported(String taggedVlanSupported) {
        this.taggedVlanSupported = taggedVlanSupported;
    }

    public AssociatedVirtualSwitch getAssociatedVirtualSwitch() {
        return associatedVirtualSwitch;
    }

    public void setAssociatedVirtualSwitch(AssociatedVirtualSwitch associatedVirtualSwitch) {
        this.associatedVirtualSwitch = associatedVirtualSwitch;
    }

    public String getVirtualSwitchID() {
        return virtualSwitchID;
    }

    public void setVirtualSwitchID(String virtualSwitchID) {
        this.virtualSwitchID = virtualSwitchID;
    }

    public VirtualNetworks getVirtualNetworks() {
        return virtualNetworks;
    }

    public void setVirtualNetworks(VirtualNetworks virtualNetworks) {
        this.virtualNetworks = virtualNetworks;
    }
}
